%global pypi_name tzdata

Name: python-%{pypi_name}
Version: 2023.3
Release: %mkrel 2

License: MIT
Summary: Timezone database for Python
URL: https://github.com/python/tzdata
Source0: %{pypi_source}
BuildArch: noarch
Group: Development/Python

BuildRequires: python3-devel
BuildRequires: pyproject-rpm-macros

%description
Provider of IANA time zone data.

%package -n python3-%{pypi_name}
Summary: %{summary}

%description -n python3-%{pypi_name}
Provider of IANA time zone data.

%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Dec 27 2023 wally <wally> 2023.3-2.mga10
+ Revision: 2022105
- rebuild for py3.12

* Wed Oct 18 2023 eatdirt <eatdirt> 2023.3-1.mga10
+ Revision: 1998727
- Update to 2023.3 version

* Wed Dec 07 2022 daviddavid <daviddavid> 2021.5-2.mga9
+ Revision: 1919032
- Mageia 9 Mass Rebuild
 -fix release tag

* Mon Feb 21 2022 joequant <joequant> 2021.5-1.mga9
+ Revision: 1782228
- imported package python-tzdata

